import csv


def sort_list_of_dict(list_of_dict, sort_key, descending):
    """
    Sorts a list of dictionaries by the values associated with one of the keys
    from the dictionaries

    Parameters:
        list_of_dict (List[Dict]): _description_
        sort_key (str): the key from the dictionaries to sort by
        descending (bool): sort in descending order if True (otherwise ascending)

    Returns:
        List[Dict]: The sorted list

    Note: does not modify the original list
    """
    return sorted(list_of_dict, key=lambda d: d[sort_key], reverse=descending)

